%define upstream_name    Text-Caml
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Mustache template engine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
the Text::Caml manpage is a Mustache-like (the http://mustache.github.com/
manpage) template engine. That means it tends to have no logic in template
files.

Syntax
    Context
        Context is the data passed to the template. Context can change
        during template rendering and be specific in various cases.

    Variables
        Variables are inserted using '{{foo}}' syntax. If a variable is not
        defined or empty it is simply ignored.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std
rm -f %{buildroot}/%{perl_vendorlib}/Text/README.pod

%files
%doc META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Nov 29 2013 jquelin <jquelin> 0.100.0-4.mga4
+ Revision: 554041
- remove bogus pod file that shouldn't be installed

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 515467
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 374002
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 shlomif <shlomif> 0.100.0-1.mga3
+ Revision: 334001
- imported package perl-Text-Caml


* Sat Dec 22 2012 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
